This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1141909 - bluez package is missing gatttool
bluez package is missing gatttool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-15 13:40 EDT by Eric Smith
Modified: 2014-10-30 19:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-30 19:23:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to spec to install gatttool (1.00 KB, text/plain)
2014-09-15 13:40 EDT, Eric Smith
no flags Details
patch to spec to both update to upstream 5.23 and install gatttool (1.01 KB, text/plain)
2014-09-15 13:41 EDT, Eric Smith
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 720486 None None None Never

  None (edit)
Description Eric Smith 2014-09-15 13:40:04 EDT
Created attachment 937677 [details]
patch to spec to install gatttool

Description of problem:
The build of bluez builds gatttool, which is used (along with hcitool) for communication with Bluetooth Low Energy devices, but does not install it.

Version-Release number of selected component (if applicable):
5.18-1

This has also been reported in Debian and Arch Linux:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=720486
https://bugs.archlinux.org/task/37686

Debian fixed the bug by changing their package scripts to manually install attrib/gatttool into /usr/bin.

A patch to the Fedora bluez spec file is attached which does the same thing.
Comment 1 Eric Smith 2014-09-15 13:41:47 EDT
Created attachment 937678 [details]
patch to spec to both update to upstream 5.23 and install gatttool

Note You need to log in before you can comment on or make changes to this bug.